#!/usr/bin/perl

if ($#ARGV < 0) {
  printf("Use: xidr_corners.pl jpeg1.jpg\n");
  printf("     output: corners.txt\n");
     die "     ERROR: YOU MUST SPECIFY FILENAME $!\n";
}


$backgroundfile = $ARGV[0];
$target_location_params = `xidr -unitscale $backgroundfile $backgroundfile > pork.txt`;
$corners = `tail -1 pork.txt`;
`tail -1 pork.txt > corners.txt`;
$chirp = `corners2r_main $corners`;
`pchirp2nocrop mediator.ppm mediator_out.ppm $chirp`;
`djpeg $backgroundfile > tmp_background.ppm`;
`pchirp2nocrop tmp_background.ppm tmp_backgroundd.ppm 1 0 0 0 1 0 0 0`;
`cement -overlay diminished.ppm tmp_backgroundd.ppm mediator_out.ppm`;
`xv diminished.ppm`;


