/*
   not yet for distribution (copyright notice, etc. and all that...

   Video orbits, "seamless hockney", "painting with looks"...
   assembling images by treating them like pieces of a jigsaw puzzle
   with overlapping pieces.  Matlab/fmex translated to c
   Steve Mann, 1989-1995
*/

#include <stdio.h>
#include "mat_util.h"
#include "pchirp2ia.h"
#include "dst_to_src_pchirp2.h"
#include "img_resample.h"
#include <float.h>

/* - - Static variables indigenous to pchirp21a - - */
/* static int in_vdim, in_hdim; */
/* static int out_vdim, out_hdim; */
/* static int out_index, in_index; */     
/* one dim indices from rasterized.' 2d */

int pchirp2(const Var * parameters, Var * ImageIn, Var * ImageOut,
	    int interp_order, int antialias_method,
	    unsigned int M_out, unsigned int N_out,
	    int output_scaling)
{
  dst_to_src_once_per_image((int) ImageIn->M, (int) ImageIn->N,
			    (int) M_out, (int) N_out,
			    parameters->data[0],
			    parameters->data[1],
			    parameters->data[2],
			    parameters->data[3],
			    parameters->data[4],
			    parameters->data[5],
			    parameters->data[6],
			    parameters->data[7]);

  /* There are problems in here. */

  /* - - convert to Data type - - */
  img_resample(ImageIn->image,
	       ImageIn->M, ImageIn->N,
	       interp_order, antialias_method, 
	       ImageOut->image,
               (int) M_out, (int) N_out,
	       NaNData,
	       output_scaling);

  return(1);
}

