# read the image parameters of a ppm image
# i.e. the first line after the comments.
# The subroutine returns the size (x,y) in
# an array with two elements

package Image_Utils;
use Exporter();
@EXPORT = qw(&read_ppm_dims);
sub read_ppm_dims{
   $filename = pop;
   open(FILE,$filename);
   $found_params=0;

   #first line should be P6, etc.
   $filetype =<FILE>;

   #following lines are comments which
   #begin with '#'
   while(!$found_params){
      $line =<FILE>;
      if (!($line=~/#/)){
         $found_params = 1;
      }
   }
   @params=split(/ /, $line);
   return @params;
}
1;
