#!/usr/bin/perl

if ($#ARGV < 0) {
  printf("Use: diminish.pl jpeg1.jpg jpeg2.jpg\n");
  printf("     places jpeg2 to diminish jpeg1\n");
  printf("     output: diminished.ppm - diminished image\n");
  printf("             mediator.ppm - mediating image\n");
  printf("             mediator.pgm - mediating image usable as mask\n");
     die "     ERROR: YOU MUST SPECIFY SOME FILENAMES $!\n";
}


$backgroundfile = $ARGV[0];
$virtualfile = $ARGV[1];

$target_location_params = `xidr $backgroundfile $virtualfile > pork.txt`;
`corr2p pork.txt porkd.txt`;
$chirp2target_params = `cat porkd.txt`;
`djpeg $backgroundfile > pork1.ppm`;
`djpeg $virtualfile > pork2.ppm`;
`pchirp2nocrop pork1.ppm pork1d.ppm 1 0 0 0 1 0 0 0`;
`pchirp2nocrop pork2.ppm pork2d.ppm $chirp2target_params`;
`cement -overlay diminished.ppm pork1d.ppm pork2d.ppm`;
#do this to make pgm usable as nanmasker
`ppmtopgm pork2.ppm > pork2.pgm`;
`pchirp2nocrop pork2.pgm mediator.pgm $chirp2target_params`;
