#!/usr/bin/perl
#pnmdtopng.pl

##$steps = sprintf("3 2 1 0");

if ($#ARGV < 0) {
  printf("Use: pnmdtopng v???d.ppm         (generates v???d.png)\n");
  printf("     works on pgm or ppm\n");
  printf("     assumes mynan is 255,255,255 and data <= 255,255,254 for ppm\n");
  printf("     and mynan is 255 and data <= 254 for pgm\n");
     die "     ERROR: YOU MUST SPECIFY SOME FILENAMES TO BE CONVERTED $!\n";
}

for ($counter=0; $counter<=$#ARGV; $counter++) {
  $filein = $ARGV[$counter];

  $fileout = $filein;
  $fileout =~ s/.ppm/.png/;
  # last line of above file is the final answer
  # above file is cumulative result

  $periodpositionin = rindex($filein,"."); # right index, period from right

# $postfixin = substr($filein,$periodpositionin+1,3); # for change pnm to png
# $postfixin =~ tr/[A-Z]/[a-z]/;
# print $postfixin;
  $prefixin = substr($filein,0,$periodpositionin); #
# print $prefixin;
  $fileout = $prefixin.".".png;
  printf("converting $filein to $fileout\n");
  `pnmtopng -transparent 1.0,1.0,1.0 $filein > $fileout`;
}

