#!/usr/bin/perl
use Tk;
use Tk::widgets qw/JPEG/;

#############################
# Parse the command-line args

$image1 = $ARGV[0];
$image2 = $ARGV[1];
print "image1 = $image1 image2 = $image2\n";

$mw = MainWindow->new;
$mw->title("XIDR");
$label = $mw->Label(-text =>"Choose 4 point correspondences")->pack(); 
$left_frame=$mw->Frame;
$right_frame=$mw->Frame;
$photo_image1=$left_frame->Photo(-format => "jpeg",
                    -file   => $image1);
$photo_image2=$right_frame->Photo(-format => "jpeg",
                    -file   => $image2);
$left_label=$left_frame->Label(-text => "click on a locations on this picture"
                  )->pack(side => "top");
$canvas1=$left_frame->Canvas;
$canvas1->createImage(0,0,-image => $photo_image1);
$right_label=$right_frame->Label(-text => "  ")->pack(side => "top");
$canvas2=$right_frame->Canvas;
$canvas2->createImage(0,0,-image => $photo_image2);
$canvas1->pack(side => "bottom");
$canvas2->pack(side => "bottom");

MainLoop;

