/* - - X LIBS - - */
#include<X11/Xlib.h>
#include<X11/Xutil.h>
#include<X11/Xos.h>
#include<X11/Xatom.h>
#include<X11/keysym.h>

/* - - -  prototypes - - - */
/* display_service.c */
void start_graphics(Display **, GC *);
Pixmap create_buffered_window(unsigned int, unsigned int, char *, int, int);
int display_image(Var *, char *, int, int);
void update_graphics(void);
void cmap_init(XColor *);
Pixmap create_display_panel(char *, int, int, int, int);
int update_image(Var *, Pixmap, int);
void wait_for_any_key_in_Xwindow(Display */*, Window*/);
void readlut(char *lutfilename);

/* prototypes for other external functions here */
void SetupGC(void);
void SetSizeHints(int, int);
void ClearPixmap(Pixmap, int, int);
