/* needs mat_util.h */
#include <stdio.h>
#include <stdlib.h>

/* - - - - - - - - - 
P5 - greyscale (char data)
P6 - color (char data)

P7 - greyscale (short data)
P8 - 3-channel (short data)

P9 - greyscale (long data)
P10 - 3-channel (long data)

P7 - greyscale (float data)
P8 - 3-channel (float data)

- - - - - - - - - - - */

/* - - Data Types - - */
#define CHARACTER 5
#define UNSIGNED_SHORT 7
#define UNSIGNED_LONG 9
#define FLOAT 11
#define DOUBLE 13

#define CHAR_BITS 8
#define SHORT_BITS 16
#define LONG_BITS 32
#define FLOAT_BITS 32
#define DOUBLE_BITS 64

#define PAR_EXTENSION "#!"

/* - - Prototypes  - - */
void save_var_to_par(Var *, char *, int, char *);
int save_par(void *, char *, int, int, int, char *);
void write_par_header(FILE *, char *, int, int, int);
void write_data(FILE *, void *, int, int, int);



